Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class WSDL11ToAllAxisServicesBuilder

    java.lang.Object
      org.apache.axis2.description.WSDLToAxisServiceBuilder
          org.apache.axis2.description.WSDL11ToAxisServiceBuilder
              org.apache.axis2.description.WSDL11ToAllAxisServicesBuilder

    public class WSDL11ToAllAxisServicesBuilder

extends WSDL11ToAxisServiceBuilder

Extends the WSDL11ToAxisServiceBuilder class to provide functionality to return multiple AxisService objects; one for each port on each service in the WSDL 1.1 file.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder
`WSDL11ToAxisServiceBuilder.WSDLProcessingException`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `WSDL_PORT`
`static java.lang.String` | `WSDL_SERVICE_QNAME`

Fields inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder
`BINDING_TYPE_HTTP, BINDING_TYPE_SOAP, COMPONENT_BINDING, COMPONENT_MESSAGE, COMPONENT_PORT_TYPE, DOCUMENT_STYLE, ENCODED_USE, NAMESPACE_DECLARATION_PREFIX, NAMESPACE_URI, portName, RPC_STYLE, TRAGET_NAMESPACE, WRAPPED_OUTPUTNAME_SUFFIX, wsdl4jDefinition, wsdlBaseDocumentURI, XML_NAMESPACE_URI`

Fields inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`AXIS2WRAPPED, axisConfig, axisService, in, isCodegen, isServerSide, nsCount, registry, resolvedRpcWrappedElementMap, serviceName, style, TYPES, XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME, XML_SCHEMA_ELEMENT_LOCAL_NAME, XML_SCHEMA_IMPORT_LOCAL_NAME, XML_SCHEMA_LOCAL_NAME, XML_SCHEMA_SEQUENCE_LOCAL_NAME, XMLNS_AXIS2WRAPPED, XMLSCHEMA_NAMESPACE_PREFIX, XMLSCHEMA_NAMESPACE_URI, XSD_ELEMENT_FORM_DEFAULT, XSD_NAME, XSD_REF, XSD_TARGETNAMESPACE, XSD_TYPE, XSD_UNQUALIFIED`

Constructor Summary
`WSDL11ToAllAxisServicesBuilder(javax.wsdl.Definition def)`
`WSDL11ToAllAxisServicesBuilder(javax.wsdl.Definition def, java.lang.String portName)`
`WSDL11ToAllAxisServicesBuilder(java.io.InputStream in)` Class constructor.

Method Summary
`java.util.List<AxisService>` | `populateAllServices()` Public method to access the wsdl 1.1 file and create a List of AxisService objects.

Methods inherited from class org.apache.axis2.description.WSDL11ToAxisServiceBuilder
`getDocumentBaseUri, getPrefix, getTypeName, isAllPorts, populateService, setAllPorts, setCustomWSDLResolver, setCustomWSLD4JResolver, setDocumentBaseUri, setup`

Methods inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`createHttpLocationTable, findSchemaPrefix, getBaseUri, getDOMDocumentBuilder, getServiceName, getTemporaryNamespacePrefix, getXMLSchema, isCodegen, isServerSide, replace, setBaseUri, setCodegen, setCustomResolver, setPolicyRegistryFromService, setServerSide, setServiceName, stackToString, stackToString, useAxisConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### WSDL_SERVICE_QNAME

    public static final java.lang.String WSDL_SERVICE_QNAME

See Also:
  Constant Field Values

### WSDL_PORT

    public static final java.lang.String WSDL_PORT

See Also:
  Constant Field Values

Constructor Detail

### WSDL11ToAllAxisServicesBuilder

    public WSDL11ToAllAxisServicesBuilder(java.io.InputStream in)

  Class constructor.

  Parameters:
    `in` - - Contains the wsdl 1.1 file

### WSDL11ToAllAxisServicesBuilder

    public WSDL11ToAllAxisServicesBuilder(javax.wsdl.Definition def)

### WSDL11ToAllAxisServicesBuilder

    public WSDL11ToAllAxisServicesBuilder(javax.wsdl.Definition def,
                                          java.lang.String portName)

Method Detail

### populateAllServices

    public java.util.List<AxisService> populateAllServices()
                                                    throws AxisFault

  Public method to access the wsdl 1.1 file and create a List of AxisService objects. For each port on each service in the wsdl, an AxisService object is created and added to the List. The name of the AxisService is changed from the service name to the port name, since port names are unique to the wsdl.

  Returns:
    A List containing one AxisService object for each port in the wsdl file. The name of the AxisService is modified from the service name to the port name.
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.